<?php

function validate_user() {
    return is_user_logged_in() && !get_loa_meta(get_current_user_id(), "bt_subscription", true);
}

function validate_subscriber() {
    return is_user_logged_in() && get_loa_meta(get_current_user_id(), "bt_subscription", true) && get_loa_meta(get_current_user_id(), "bt_sub_id", true);
}

function validate_admin() {
    return is_user_logged_in() && in_array('administrator',  wp_get_current_user()->roles);
}

function get_current_user_meta($name) {
    return get_loa_meta(get_current_user_id(), $name, true);
}

function get_loa_meta($user_id, $name) {
    return get_user_meta($user_id, $name, true);
}

function update_current_user_meta($name, $value) {
    update_user_meta(get_current_user_id(), $name, $value);
}

function update_loa_meta($user_id, $name, $value) {
    update_user_meta($user_id, $name, $value);
}

?>